*,
::before,
::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  --color-one: #343a40;
  --color-two: #e0e0e0;
}

body {
  font-family: 'Cairo', sans-serif;
  background-color: var(--background-color);
  margin: 0;
}

.image {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  width: 80%;
  margin: 10rem auto;
}

.image::after,
.image::before {
  content: '';
  position: absolute;
}

.image::before {
  background: -webkit-gradient(
    linear,
    left top,
    right top,
    from(white),
    color-stop(50%, var(--color-one))
  );
  background: -o-linear-gradient(left, white 0% 50%, var(--color-one) 50%);
  background: linear-gradient(90deg, white 0% 50%, var(--color-one) 50%);
  top: 0rem;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.image::after {
  background: -webkit-gradient(
    linear,
    left top,
    right top,
    from(var(--color-one)),
    color-stop(50%, white)
  );
  background: -o-linear-gradient(left, var(--color-one) 0% 50%, white 50%);
  background: linear-gradient(90deg, var(--color-one) 0% 50%, white 50%);
  top: -1rem;
  width: calc(100% + 2rem);
  height: calc(100% + 2rem);
  z-index: -2;
}

/* personal footer */

footer {
  margin-top: 2rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  line-height: 1.5;
  text-align: center;
}

.platform {
  font-weight: 600;
  color: #2eca7f;
}

.coder {
  font-weight: 600;
  color: #cf2937;
}

a {
  text-decoration: none;
}
